Last Comment Bug 212145 - [FIXr]Generated content with overflow:auto; declared fails
: [FIXr]Generated content with overflow:auto; declared fails
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P2 normal with 1 vote (vote)
: mozilla1.5beta
Assigned To: Boris Zbarsky [:bz]
: Hixie (not reading bugmail)
Mentors:
: 217868 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 03:29 PDT by Anne (:annevk)
Modified: 2003-10-18 09:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (1.58 KB, patch)
2003-07-09 17:17 PDT, Boris Zbarsky [:bz]
roc: review+
roc: superreview+
Details | Diff | Splinter Review

Description Anne (:annevk) 2003-07-09 03:29:08 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030707
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030707

Testcase
http://www.annevankesteren.nl/css/testcase/generated_content.html

Mozilla doens't show the generated content and applies the text-transform on the
wrong letter which is a direct result of the first.

Reproducible: Always

Steps to Reproduce:

Actual Results:  
Mozilla renders the code with most of the style applied. The first letter of the
code is transferred to uppercase. There isn't any generated content.

Expected Results:  
There should be a block-level element with in it: "The value of the class from
the element code", followed by a "space" and then "code:". The first letter of
the classname should be in uppercase. Then there should be a linebreak and then
comes the content of the element code.
Comment 1 Boris Zbarsky [:bz] 2003-07-09 13:31:08 PDT
So the problem seems to be that in ConstructFrameByDisplayType the
IsScrollable(aPresContext, aDisplay) case passes PR_FALSE for the
aCanHaveGeneratedContent param of ProcessChildren when calling ProcessChildren
with the scrolled frame as a parent.

Changing that to PR_TRUE makes the testcase render correctly, modulo the
::before/::first-letter problem...

Is there a good reason that param is PR_FALSE?  The cvs blame for this line is
something back in 1999, and drilling back in cvs revision history did not give
me any insight into why it was written this way.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-07-09 14:07:37 PDT
I doubt it.
Comment 3 Boris Zbarsky [:bz] 2003-07-09 17:17:09 PDT
Created attachment 127397 [details] [diff] [review]
proposed patch
Comment 4 Boris Zbarsky [:bz] 2003-07-09 17:19:14 PDT
.
Comment 5 Boris Zbarsky [:bz] 2003-07-11 16:19:06 PDT
Fixed for 1.5b.
Comment 6 Anne (:annevk) 2003-07-26 15:16:20 PDT
The content is now generated in my testcase, however the first-letter is not
turned into uppercase. That's why I reopend the bug.

UA: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030726
Comment 7 Boris Zbarsky [:bz] 2003-07-26 15:29:26 PDT
One issue per bug, please.  Please file a separate bug and cc me on it, ok?
Comment 8 mmc 2003-07-27 02:37:13 PDT
The other bug is bug 214004.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-08-31 05:47:00 PDT
*** Bug 217868 has been marked as a duplicate of this bug. ***
Comment 10 Anne (:annevk) 2003-10-18 09:07:55 PDT
v

Note You need to log in before you can comment on or make changes to this bug.